// (c) Thomas Kamps, 2009
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the7 implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

#include "playerinfo.h"
#include "ui_playerinfo.h"

PlayerInfo::PlayerInfo(QWidget *parent) : QWidget(parent), m_ui(new Ui::PlayerInfo) {
	m_ui->setupUi(this);
	playerId = -1;

	connect(m_ui->avatar, SIGNAL(doubleClicked()), this, SLOT(beginTrade()));
}

PlayerInfo::~PlayerInfo() {
	delete m_ui;
}

void PlayerInfo::setAvatar(QString a) {
	m_ui->avatar->setAvatar(a);
}

void PlayerInfo::setJailed(bool j) {
	m_ui->avatar->jailed = j;
	m_ui->avatar->update();
}

void PlayerInfo::setName(QString n) {
	m_ui->label->setText(n);
}

void PlayerInfo::setMoney(QString m) {
	m_ui->label_2->setText(m);
}

void PlayerInfo::changeEvent(QEvent *e) {
	QWidget::changeEvent(e);
	switch (e->type()) {
		case QEvent::LanguageChange:
			m_ui->retranslateUi(this);
			break;
		default:
			break;
	}
}

void PlayerInfo::beginTrade() {
	emit(trade(".Tn"+QString::number(playerId)));
}
