// (c) Thomas Kamps, 2009
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the7 implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

#ifndef MONOPDFIELD_H
#define MONOPDFIELD_H

#include <QString>
#include <QRect>
#include "src/Monopd/player.h"

class MonopdField {

	public:
		MonopdField(int i);
		~MonopdField();
		int     getId();
		QString getName();
		QString getPicture();
		bool    getBuyable();
		int     getPrice();
		int     getOwner();
		int     getMortageVal();
		int     getUnmortageVal();
		bool    getMortaged();
		bool    getCanToggleMortage();
		int     getRent(int i);
		int     getGroup();
		QColor  getColor();
		int     getHousePrice();
		int     getSellHousePrice();
		int     getHouses();
		bool    getCanBuyHouse();
		bool    getCanSellHouse();
		QRect   getFieldRect();
		bool    isInRect(int x, int y);
		void setName(QString n);
		void setPicture(QString p);
		void setBuyable(bool b);
		void setPrice(int p);
		void setOwner(int p);
		void setMortageVal(int mv);
		void setUnmortageVal(int umv);
		void setMortaged(bool m);
		void setCanToggleMortage(bool ctm);
		void setRent(int i, int r);
		void setGroup(int g);
		void setColor(QColor col);
		void setHousePrice(int hp);
		void setSellHousePrice(int shp);
		void setHouses(int h);
		void setCanBuyHouse(bool cbh);
		void setCanSellHouse(bool csh);
		void setFieldRect(QRect rect);

	protected:
		//All Fields
		int id;
		QString name;
		QString picture;

		//Buyable Fields
		int buyable;
		int price;
		int owner;
		int mortageVal;
		int unmortageVal;
		bool mortaged;
		bool canToggleMortage;
		int rent[6];

		//Streets
		int group;
		QColor color;
		int housePrice;
		int sellHousePrice;
		int houses;
		bool canBuyHouse;
		bool canSellHouse;

		QRect fieldRect;
};

#endif // MONOPDFIELD_H
